// solves the Li in Bi concentration in the cathode

Info<< "start calculating concentration equation..." << endl; 
for (int corr=0; corr<nCorr; corr++)
{
    forAll(fluidRegions, i)
    {   
        if(fluidRegions[i].name() == "Bi")
        {
            Info<< "concentration equation is solved in Bismuth resp. the cathode\n" << endl;
      
            // boundary condition needs the local current density at the patch
            // map the local current density from the global to the fluid mesh

            fluidMesh[i].map(jGlobal, jFluids[i]);

            volScalarField& c = cFluids[i];
            dimensionedScalar& D = DFluids[i];

            // solve concentration
            for (int nonOrth=0; nonOrth<=nNonOrthCorr; nonOrth++)
            {
                fvScalarMatrix cEqn
                (
                    fvm::ddt(c)
                  ==
                    fvm::laplacian(D,c)
                );

                cEqn.solve
                (
                    fluidRegions[i].solver
                    (
                        c.select
                        (
                            oCorr == nOuterCorr-1
                         && corr == nCorr-1
                         && nonOrth == nNonOrthCorr    
                        )
                     )
                );
            }
        }
      
        if(fluidRegions[i].name() == "Li")
        {
            Info<< "concentration equation is not solved in Lithium resp. the anode\n" << endl;
        }
    }
}
Info<< "stop calculating concentration equation" << endl; 
