volScalarField potentialGlobal
(
    IOobject
    (
        "potential",
        runTime.timeName(),
        globalMesh,
        IOobject::MUST_READ,
        IOobject::AUTO_WRITE
    ),
    globalMesh
);

volScalarField sigmaGlobal
(
    IOobject
    (
        "sigma",
        runTime.timeName(),
        globalMesh,
        IOobject::NO_READ,
        IOobject::AUTO_WRITE
    ),
    globalMesh,
    dimensionedScalar("zero", dimensionSet(-1,-3,3,0,0,2,0), 0),
    zeroGradientFvPatchField<scalar>::typeName // same conductivity at patch as inside the cell
);         

surfaceScalarField sigmaSurfaceGlobal
(
    IOobject
    (
        "sigmaSurface",
        runTime.timeName(),
        globalMesh,
        IOobject::NO_READ,
        IOobject::NO_WRITE
    ),
    globalMesh,
    dimensionedScalar("zero", dimensionSet(-1,-3,3,0,0,2,0), 0.0)
);
   
volVectorField jGlobal
(
    IOobject
    (
        "j",
        runTime.timeName(),
        globalMesh,
        IOobject::NO_READ,
        IOobject::AUTO_WRITE
    ),
    globalMesh,
    dimensionedVector("zero", dimensionSet(0,-2,0,0,0,1,0), vector::zero)
);

volVectorField jdGlobal
(
    IOobject
    (
        "jd",
        runTime.timeName(),
        globalMesh,
        IOobject::NO_READ,
        IOobject::AUTO_WRITE
    ),
    globalMesh,
    dimensionedVector("zero", dimensionSet(0,-2,0,0,0,1,0), vector::zero)
);

surfaceScalarField jdSurfaceGlobal
(
    IOobject
    (
        "jdSurface",
        runTime.timeName(),
        globalMesh,
        IOobject::NO_READ,
        IOobject::NO_WRITE
    ),
    globalMesh,
    dimensionedScalar("zero", dimensionSet(0,-2,0,0,0,1,0), 0.0)
);

volVectorField jmGlobal
(
    IOobject
    (
        "jm",
        runTime.timeName(),
        globalMesh,
        IOobject::NO_READ,
        IOobject::AUTO_WRITE
    ),
    globalMesh,
    dimensionedVector("zero", dimensionSet(0,-2,0,0,0,1,0), vector::zero)
);

surfaceScalarField jmSurfaceGlobal
(
    IOobject
    (
        "jmSurface",
        runTime.timeName(),
        globalMesh,
        IOobject::NO_READ,
        IOobject::NO_WRITE
    ),
    globalMesh,
    dimensionedScalar("zero", dimensionSet(0,-2,0,0,0,1,0), 0.0)
);

volVectorField gradPotentialGlobal
(
    IOobject
    (
         "gradPotential",
          runTime.timeName(),
          globalMesh,
          IOobject::NO_READ,
          IOobject::AUTO_WRITE
    ),
    globalMesh,
    dimensionedVector("gradPotential",dimensionSet(1,1,-3,0,0,-1,0),vector::zero)
);

surfaceScalarField gradPotentialSurfaceGlobal
(
    IOobject
    (
        "gradPotentialSurface",
        runTime.timeName(),
        globalMesh,
        IOobject::NO_READ,
        IOobject::AUTO_WRITE
    ),
    globalMesh,
    dimensionedScalar("zero", dimensionSet(1,1,-3,0,0,-1,0), 0.0)
);

volScalarField sourceTermGlobal
(
    IOobject
    (
         "sourceTerm",
          runTime.timeName(),
          globalMesh,
          IOobject::NO_READ,
          IOobject::AUTO_WRITE
    ),
    globalMesh,
    dimensionedScalar("sourceTerm",dimensionSet(0,-3,0,0,0,1,0),0)
);

Info<< "Created fields for time = "
    << runTime.timeName() << Foam::nl << Foam::endl;
