// computes the initial condition
//* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * //
 
// set boundary conditions for the electric current
#include "setInitialAndBoundaryConditions.H"

// solve electric potential and current on global mesh without source term
#include "potentialEqn_laplace.H"

for (int oCorr=0; oCorr<nOuterCorr; oCorr++)
{
    Info<< "Pimple iteration " << oCorr << "\n";
	
    bool finalIter = oCorr == nOuterCorr-1;

    // solve species transport in salt
    #include "speciesEqn.H"
	
    // solve electric potential and current with source term
    #include "potentialEqn_poisson.H"

    // solve concentration in fluid
    #include "cEqn.H"
}	
Info<< "initial step solved" << endl;

jGlobal.write();
jdGlobal.write();
jmGlobal.write();
sourceTermGlobal.write();
potentialGlobal.write();
gradPotentialGlobal.write();

forAll(fluidRegions, i)
{
    if(fluidRegions[i].name() == "Bi")
    {
	cFluids[i].write();
    }
    jFluids[i].write();
}
	
forAll(electrolyteRegions, i)
{  		
    jEl[i].write();
    jdEl[i].write();
    sourceTermEl[i].write();
    potentialEl[i].write();
    forAll(speciesMixtureEl[i].species(), is)
    {
	speciesMixtureEl[i].species()[is].write(); // writes concentration for species 
    }	
}
