/*---------------------------------------------------------------------------*\
  =========                 |
  \\      /  F ield         | OpenFOAM: The Open Source CFD Toolbox
   \\    /   O peration     |
    \\  /    A nd           | www.openfoam.com
     \\/     M anipulation  |
-------------------------------------------------------------------------------
License
    This file is part of OpenFOAM.

    OpenFOAM is free software: you can redistribute it and/or modify it
    under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    OpenFOAM is distributed in the hope that it will be useful, but WITHOUT
    ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
    FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
    for more details.

    You should have received a copy of the GNU General Public License
    along with OpenFOAM.  If not, see <http://www.gnu.org/licenses/>.

Description
    This class contains all species in form of a list.

Developed by
    Carolina Duczek and Norbert Weber

\*---------------------------------------------------------------------------*/

#ifndef speciesMixture_H
#define speciesMixture_H

#include "fvCFD.H"
#include "specie.H"

// * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * //

namespace Foam
{

/*---------------------------------------------------------------------------*\
                      Class speciesMixture Declaration
\*---------------------------------------------------------------------------*/

class speciesMixture
:
    public IOdictionary
{
private:

    // Private data

        PtrList<specie> species_;


public:

    // Constructors

        //- Construct from components
        speciesMixture
        (
	    const fvMesh&
        );

    //- Destructor
    ~speciesMixture()
    {}

    // Member Functions

        //- Return the phases
        PtrList<specie>& species()
        {
            return species_;
        }
};

// * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * //

} // End namespace Foam

// * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * //

#endif

// ************************************************************************* //
