// read material properties

// constants
const dimensionedScalar F("F", dimensionSet(0,0,1,0,-1,1,0), 96485.3329); // Faraday constant
const dimensionedScalar R("R", dimensionSet(1,2,-2,-1,-1,0,0), 8.31451); // universal gas constant

// load file where matertial proberties are set
IOdictionary globalProperties
(
    IOobject
    (
    	"globalProperties",
        runTime.constant(),
        globalMesh,
        IOobject::MUST_READ,
        IOobject::NO_WRITE
    )
);

// material properties and initial values 
const dimensionedScalar z("z", dimless, globalProperties);
const dimensionedScalar x0("xRef", dimless, globalProperties);
const dimensionedScalar phi0Li("phi0Li", dimensionSet(1,2,-3,0,0,-1,0), globalProperties);
const dimensionedScalar T0("T0", dimensionSet(0,0,0,1,0,0,0), globalProperties);
const dimensionedScalar MLi("MLi", dimensionSet(1,0,0,0,-1,0,0), globalProperties);
const dimensionedScalar MBi("MBi", dimensionSet(1,0,0,0,-1,0,0), globalProperties);
const dimensionedScalar rhoLi("rhoLi", dimDensity, globalProperties);
const dimensionedScalar rhoBi("rhoBi", dimDensity, globalProperties);
// density is computed using an experimental fit
const dimensionedScalar rho0Ges = -7357*x0*x0-2045*x0+9863;
