// solves the Laplace equation for the electric potential

Info<< "start calculating potential equation (laplace)..." << endl; 

// the brackets make sure that variables are only defined inside the brackets
// (avoids mistakes)
{
    // get a reference to the global fields
    // (only to use shorter names)
    volScalarField& sigma = sigmaGlobal;
    volScalarField& potential = potentialGlobal;
    volVectorField& gradPotential = gradPotentialGlobal;
    volVectorField& j = jGlobal;

    // solve potential
    fvScalarMatrix potentialEqn
    (
        fvm::laplacian(sigma, potential)
    );

    potentialEqn.solve();
    j = -sigma * fvc::grad(potential);
    gradPotential = fvc::grad(potential);
}

Info<< "stop calculating potential equation (laplace)" << endl; 
