set term pdf
set output "f.pdf"

set title 'Vallet et al. (1983), Fig. 4, cell 2'

set xlabel "x in mm"
set ylabel "mole fraction KCl"
set xrange [4:8]

set key top right

# OF orders alphabetically: 2=Cl, 3=K, 4=Li
# note: x(K) = 2*c_K / (c_K + c_Li + c_Cl); the factor 2 because there are as many K-ions as Cl-ions

plot \
     "Vallet_et_al_1983_Fig_4_Cell_2.dat" index 0 u (-$1*4.16+4+4.16):2 t "Vallet: atomic absorption" pt 6,\
     "Vallet_et_al_1983_Fig_4_Cell_2.dat" index 1 u (-$1*4.16+4+4.16):2 t "Vallet: EDX" pt 7,\
     "Vallet_et_al_1983_Fig_4_Cell_2.dat" index 2 u (-$1*4.16+4+4.16):2 t "Vallet: interpolated" w lp pt 1,\
     "simulation.dat" u ($1*1e3):(2*$3 / ($2+$3+$4)) w l t 'Simulation'
